

Assignment-6

Create a Declarative CI  pipeline for java based project that contains various stages like
Code checkout   done
Run below stagess in parallel
- Code stability.
- Code quality analysis.
pmd 
findbug
checkstyle
- Code coverage analysis.
cubutra
Generate a report for code quality & analysis.
Publish artifacts.
Send Slack and Email notifications.
The user should have the option to skip various scans in the build execution. And before publish there should be an approval stage to be set in place to approve or deny the publish and if approved the step should execute and the user should be notified post successful/failed.
chexkstyle
maven-checkstyle-plugin
stage('Checkstyle') {
    steps {
        sh 'vendor/bin/phpcs --report=checkstyle --report-file=`pwd`/build/logs/checkstyle.xml --standard=PSR2 --extensions=php --ignore=autoload.php --ignore=vendor/ . || exit 0'
        checkstyle pattern: 'build/logs/checkstyle.xml'
    }
}
scanForIssues tool: checkStyle(pattern: '**/target/checkstyle-results.xml')















Solutons- 

Publishing- checkstyle,cobertura,pmd,findbugs reports













 

Build Stages-










Build-Config












Open-Blue Ocean view


  








Artifacts uploaded succsessfully on nexus



























